"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.entryToFluentBit130 = void 0;
/* eslint-disable @typescript-eslint/ban-types */
const utils_1 = require("../utils");
const std_1 = require("./std");
// TODO : I believe that because we say `metadata: M` and `M` is `MetadataOutput` but not MetadataOutput<R,M> as
// the createEntry function returns (!!) we cannot pass `MetadataOutput<R,M>` as `MetadataOutput`
//
// the following works: `format.entryToStd({ metadata: (entry.metadata as unknown) as MetadataOutput, data: entry.data })`
//
// however, what's really weird
//
function entryToFluentBit130({ metadata, data, }) {
    var _a;
    const metadataCopy = __rest(metadata, []);
    if ('resource' in metadataCopy) {
        delete metadataCopy.resource;
    }
    if ('logName' in metadataCopy) {
        delete metadataCopy.logName;
    }
    if ('traceSampled' in metadataCopy) {
        delete metadataCopy.traceSampled;
    }
    const stdEntry = std_1.entryToStd({ metadata: metadataCopy, data });
    const { httpRequest, timestamp } = stdEntry, stdEntryRest = __rest(stdEntry, ["httpRequest", "timestamp"]);
    const result = Object.assign({}, stdEntryRest);
    (_a = result.httpRequest) === null || _a === void 0 ? void 0 : _a.latency;
    if (timestamp) {
        result.time = timestamp;
    }
    if (typeof httpRequest !== 'undefined') {
        const { latency } = httpRequest, httpRequestRest = __rest(httpRequest, ["latency"]);
        result.httpRequest = httpRequestRest;
        if (typeof latency !== 'undefined') {
            result.httpRequest.latency = utils_1.convertDurationToString(latency);
        }
    }
    return Object.assign({}, result);
}
exports.entryToFluentBit130 = entryToFluentBit130;
//# sourceMappingURL=fluentBit130.js.map